> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Architecture Diff



## OpenAPI

````yaml /openapi.json get /api/v1/architecture/{design_id}/diff
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/architecture/{design_id}/diff:
    get:
      tags:
        - architecture
      summary: Get Architecture Diff
      operationId: get_architecture_diff_api_v1_architecture__design_id__diff_get
      parameters:
        - in: path
          name: design_id
          required: true
          schema:
            title: Design Id
            type: string
        - in: query
          name: from_version
          required: true
          schema:
            minimum: 1
            title: From Version
            type: integer
        - in: query
          name: to_version
          required: true
          schema:
            minimum: 1
            title: To Version
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArchitectureDiffResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ArchitectureDiffResponse:
      description: Structural diff between two architecture design versions.
      properties:
        breaking_change_flag:
          default: false
          title: Breaking Change Flag
          type: boolean
        changed_fields:
          items:
            type: string
          title: Changed Fields
          type: array
        design_id:
          title: Design Id
          type: string
        from_version:
          title: From Version
          type: integer
        layout_changes:
          items:
            additionalProperties: true
            type: object
          title: Layout Changes
          type: array
        requires_arch_review:
          default: false
          title: Requires Arch Review
          type: boolean
        semantic_changes:
          items:
            additionalProperties: true
            type: object
          title: Semantic Changes
          type: array
        to_version:
          title: To Version
          type: integer
      required:
        - design_id
        - from_version
        - to_version
      title: ArchitectureDiffResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````